package com.conflux.web.controller.collect.mapper;


import com.conflux.web.controller.collect.domain.CollectConfig;
import com.conflux.web.controller.nft.domain.ConfluxArt;

import java.util.List;

/**
 * confluxMapper接口
 * 
 * @author conflux
 * @date 2022-05-31
 */
public interface CollectConfigMapper 
{
    /**
     * 查询conflux
     * 
     * @param id conflux主键
     * @return conflux
     */
    public CollectConfig selectCollectConfigById(Long id);

    /**
     * 查询conflux列表
     * 
     * @param collectConfig conflux
     * @return conflux集合
     */
    public List<CollectConfig> selectCollectConfigList(CollectConfig collectConfig);

    /**
     * 新增conflux
     * 
     * @param collectConfig conflux
     * @return 结果
     */
    public int insertCollectConfig(CollectConfig collectConfig);

    /**
     * 修改conflux
     * 
     * @param collectConfig conflux
     * @return 结果
     */
    public int updateCollectConfig(CollectConfig collectConfig);

    /**
     * 删除conflux
     * 
     * @param id conflux主键
     * @return 结果
     */
    public int deleteCollectConfigById(Long id);

    /**
     * 批量删除conflux
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCollectConfigByIds(Long[] ids);


    public int updateStatus(Integer id);

    public CollectConfig selectCollectConfigByStatus();
}
