package com.conflux.web.controller.collect.service;


import com.conflux.web.controller.collect.domain.CollectConfig;

import java.util.List;

/**
 * confluxService接口
 * 
 * @author conflux
 * @date 2022-05-31
 */
public interface ICollectConfigService 
{
    /**
     * 查询conflux
     * 
     * @param id conflux主键
     * @return conflux
     */
    public CollectConfig selectCollectConfigById(Long id);

    /**
     * 查询conflux列表
     * 
     * @param collectConfig conflux
     * @return conflux集合
     */
    public List<CollectConfig> selectCollectConfigList(CollectConfig collectConfig);

    /**
     * 新增conflux
     * 
     * @param collectConfig conflux
     * @return 结果
     */
    public int insertCollectConfig(CollectConfig collectConfig);

    /**
     * 修改conflux
     * 
     * @param collectConfig conflux
     * @return 结果
     */
    public int updateCollectConfig(CollectConfig collectConfig);

    /**
     * 批量删除conflux
     * 
     * @param ids 需要删除的conflux主键集合
     * @return 结果
     */
    public int deleteCollectConfigByIds(Long[] ids);

    /**
     * 删除conflux信息
     * 
     * @param id conflux主键
     * @return 结果
     */
    public int deleteCollectConfigById(Long id);

    /**
     * 修改状态
     * @param collectConfig
     * @return
     */
    public int changeStatus(CollectConfig collectConfig);

    /**
     * 查询上链地址
     * @return
     */
    public CollectConfig selectCollectConfigByStatus();

}
