package com.conflux.web.controller.contract.domain;

import com.conflux.common.annotation.Excel;
import com.conflux.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigInteger;

/**
 * 合约私钥配置对象 contract_config
 *
 * @author conflux
 * @date 2022-05-31
 */
@Data
public class ContractConfig extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;
    /**
     * 单位名称
     **/
    private String unitName;
    /**
     * 合约地址
     */
    @Excel(name = "合约地址")
    private String contract;

    /**
     * 拥有者
     */
    @Excel(name = "拥有者")
    private String owner;

    private BigInteger gasPrice;

    /**
     * 私钥
     */
    @Excel(name = "私钥")
    private String privateKey;
    /**
     * 阀值
     */
    private Integer threshold;

    /** 上链的总阀值 */
    @Excel(name = "上链的总阀值")
    private Integer totalThreshold;

}
