package com.conflux.web.controller.contract.mapper;


import com.conflux.web.controller.contract.domain.ContractConfig;

import java.util.List;

/**
 * 合约私钥配置Mapper接口
 * 
 * @author conflux
 * @date 2022-05-31
 */
public interface ContractConfigMapper 
{
    /**
     * 查询合约私钥配置
     * 
     * @param id 合约私钥配置主键
     * @return 合约私钥配置
     */
    public ContractConfig selectContractConfigById(Long id);

    /**
     * 查询合约私钥配置列表
     * 
     * @param contractConfig 合约私钥配置
     * @return 合约私钥配置集合
     */
    public List<ContractConfig> selectContractConfigList(ContractConfig contractConfig);

    /**
     * 新增合约私钥配置
     * 
     * @param contractConfig 合约私钥配置
     * @return 结果
     */
    public int insertContractConfig(ContractConfig contractConfig);

    /**
     * 修改合约私钥配置
     * 
     * @param contractConfig 合约私钥配置
     * @return 结果
     */
    public int updateContractConfig(ContractConfig contractConfig);

    /**
     * 删除合约私钥配置
     * 
     * @param id 合约私钥配置主键
     * @return 结果
     */
    public int deleteContractConfigById(Long id);

    /**
     * 批量删除合约私钥配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteContractConfigByIds(Long[] ids);

    /**
     *  根绝名称获取合约
     * @param unitName
     * @return
     */
    public ContractConfig selectContractConfigByUnitName(String unitName);
}
