package com.conflux.web.controller.nft.domain;

import java.util.Date;

import com.conflux.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.conflux.common.annotation.Excel;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * nft上链对象 nft_collection
 * 
 * @author conflux
 * @date 2022-06-02
 */
@Data
public class NftCollection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** unitID */
    @Excel(name = "unitID")
    private String unitName;

    /** 上链藏品ID */
    @Excel(name = "上链藏品ID")
    private String informationTableId;

    /** (0待铸造 1已铸造 2链上已确认) */
    @Excel(name = "(0待铸造 1已铸造 2链上已确认)")
    private Long onChainStatus;

    /** 创建公司 */
    @Excel(name = "创建公司")
    private String createdBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updatedBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;
}
