package com.conflux.web.controller.nft.mapper;


import com.conflux.web.controller.nft.domain.NftCollection;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * nft上链Mapper接口
 * 
 * @author conflux
 * @date 2022-06-02
 */
public interface NftCollectionMapper 
{
    /**
     * 查询nft上链
     * 
     * @param id nft上链主键
     * @return nft上链
     */
    public NftCollection selectNftCollectionById(Long id);

    public NftCollection selectNftCollectionByIdSting(String id);

    /**
     * 查询nft上链列表
     * 
     * @param nftCollection nft上链
     * @return nft上链集合
     */
    public List<NftCollection> selectNftCollectionList(NftCollection nftCollection);
    public List<NftCollection> selectNftCollectionListByIds(@Param("stringIds")String[] stringIds,@Param("onChainStatus") Integer onChainStatus);
    /**
     * 新增nft上链
     * 
     * @param nftCollection nft上链
     * @return 结果
     */
    public int insertNftCollection(NftCollection nftCollection);

    public int insertListNftCollection(@Param("unitName") String unitName, @Param("stringList") List<String> stringList, @Param("time")Date time);

    /**
     * 修改nft上链
     * 
     * @param nftCollection nft上链
     * @return 结果
     */
    public int updateNftCollection(NftCollection nftCollection);

    /**
     * 删除nft上链
     * 
     * @param id nft上链主键
     * @return 结果
     */
    public int deleteNftCollectionById(Long id);

    /**
     * 批量删除nft上链
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNftCollectionByIds(Long[] ids);

    int updateByTokenId(@Param("hexTokenId")String hexTokenId,@Param("time")Date time);
}
