package com.conflux.web.controller.nft.service;


import com.conflux.web.controller.nft.domain.NftCollection;
import com.conflux.web.controller.nft.domain.dto.NftDTO;

import java.util.List;

/**
 * nft上链Service接口
 * 
 * @author conflux
 * @date 2022-06-02
 */
public interface INftCollectionService 
{
    /**
     * 查询nft上链
     * 
     * @param id nft上链主键
     * @return nft上链
     */
    public NftCollection selectNftCollectionById(Long id);

    /**
     * 查询nft上链列表
     * 
     * @param nftCollection nft上链
     * @return nft上链集合
     */
    public List<NftCollection> selectNftCollectionList(NftCollection nftCollection);

    /**
     * 查询nft上链的id
     * @param stringIds
     * @param onChainStatus
     * @return
     */
    public List<NftCollection> selectNftCollectionListByIds(String[] stringIds,Integer onChainStatus);

    /**
     * 新增nft上链
     * 
     * @param nftCollection nft上链
     * @return 结果
     */
    public int insertNftCollection(NftCollection nftCollection);
    /**
     * 新增nft上链 (批量）
     *
     * @param unitName,strings nft上链
     * @return 结果
     */
    public int insertListNftCollection(String unitName,List<String> strings);


    /**
     * 修改nft上链
     * 
     * @param nftCollection nft上链
     * @return 结果
     */
    public int updateNftCollection(NftCollection nftCollection);

    /**
     * 批量删除nft上链
     * 
     * @param ids 需要删除的nft上链主键集合
     * @return 结果
     */
    public int deleteNftCollectionByIds(Long[] ids);

    /**
     * 删除nft上链信息
     * 
     * @param id nft上链主键
     * @return 结果
     */
    public int deleteNftCollectionById(Long id);

    void updateCollect(NftDTO nftDTO);
}
