package com.conflux.web.controller.nft.service.impl;

import cn.hutool.core.date.DateUtil;
import com.conflux.web.controller.nft.domain.dto.NftDTO;
import com.conflux.web.controller.nft.service.INftCollectionService;
import com.conflux.web.controller.nft.service.INftInfoV2Handler;
import com.conflux.web.controller.util.CfxUtils;
import conflux.web3j.Cfx;
import conflux.web3j.response.Log;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.web3j.abi.FunctionReturnDecoder;
import org.web3j.abi.TypeReference;
import org.web3j.abi.datatypes.Address;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

/**
 * @Author _007long
 * @Date 2022 05 31
 **/
@Slf4j
@Service
public class NftInfoV2ImplHandler extends BaseHandler implements INftInfoV2Handler {
    @Resource
    private INftCollectionService nftCollectionService;

    /**
     *
     * @param json json
     */
    @Override
    public void send721NftTransfer(Cfx cfx, String json) {
        Log logInfo = getLogInfo(json);
        NftDTO nftDTO = new NftDTO();
        nftDTO.setOwner(decode(logInfo.getTopics().get(2)).getValue());
        nftDTO.setTokenId(CfxUtils.getNumber(logInfo.getTopics().get(3)));
        nftDTO.setEpochNumber(logInfo.getEpochNumber().get().longValue());
        nftDTO.setUpdateTime(DateUtil.currentSeconds());
        log.info("-------------->json:",json);
        nftCollectionService.updateCollect(nftDTO);
    }

    public static Address decode(String encodedResult) {
        TypeReference returnTypeRef = TypeReference.create(Address.class);
        List<Address> decoded = FunctionReturnDecoder.decode(encodedResult, Arrays.asList(returnTypeRef));
        return decoded != null && !decoded.isEmpty() ? decoded.get(0) : null;
    }
}
