package com.conflux.web.controller.privateKey.service;

import java.util.List;
import com.conflux.web.controller.privateKey.domain.PrivateKey;

/**
 * 私钥申请Service接口
 * 
 * @author conflux
 * @date 2022-06-07
 */
public interface IPrivateKeyService 
{
    /**
     * 查询私钥申请
     * 
     * @param id 私钥申请主键
     * @return 私钥申请
     */
    public PrivateKey selectPrivateKeyById(Long id);

    /**
     * 通过appid查询
     * @param appId
     * @return
     */
    public PrivateKey selectPrivateKeyByAppId(String appId);
    /**
     * 查询私钥申请列表
     * 
     * @param privateKey 私钥申请
     * @return 私钥申请集合
     */
    public List<PrivateKey> selectPrivateKeyList(PrivateKey privateKey);

    /**
     * 新增私钥申请
     * 
     * @param privateKey 私钥申请
     * @return 结果
     */
    public int insertPrivateKey(PrivateKey privateKey);

    /**
     * 修改私钥申请
     * 
     * @param privateKey 私钥申请
     * @return 结果
     */
    public int updatePrivateKey(PrivateKey privateKey);

    /**
     * 批量删除私钥申请
     * 
     * @param ids 需要删除的私钥申请主键集合
     * @return 结果
     */
    public int deletePrivateKeyByIds(Long[] ids);

    /**
     * 删除私钥申请信息
     * 
     * @param id 私钥申请主键
     * @return 结果
     */
    public int deletePrivateKeyById(Long id);
}
